import {Order} from "@models";
import {
  KeyValue,
  MARK_AS_TRANSLATABLE,
} from "solidify-frontend";

export class OrderQueryTypeEnumHelper {
  static getListKeyValue(): KeyValue[] {
    return [
      {
        key: Order.QueryTypeEnum.DIRECT,
        value: MARK_AS_TRANSLATABLE("enum.queryType.direct"),
      },
      {
        key: Order.QueryTypeEnum.SIMPLE,
        value: MARK_AS_TRANSLATABLE("enum.queryType.simple"),
      },
      {
        key: Order.QueryTypeEnum.ADVANCED,
        value: MARK_AS_TRANSLATABLE("enum.queryType.advanced"),
      },
      {
        key: Order.QueryTypeEnum.IMAGE,
        value: MARK_AS_TRANSLATABLE("enum.queryType.image"),
      },
    ];
  }
}
