import {NgModule} from "@angular/core";
import {AipDownloadedRoutingModule} from "@preservation/aip-downloaded/aip-downloaded-routing.module";
import {AipDownloadedNotFoundRoutable} from "@preservation/aip-downloaded/components/routables/aip-downloaded-not-found/aip-downloaded-not-found.routable";

const routables = [
  AipDownloadedNotFoundRoutable,
];
const containers = [];
const dialogs = [];
const presentationals = [];

@NgModule({
  declarations: [
    ...routables,
    ...containers,
    ...dialogs,
    ...presentationals,
  ],
  imports: [
    AipDownloadedRoutingModule,
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...routables,
  ],
  providers: [],
})
export class AipDownloadedModule {
}
