import {Renderer2} from "@angular/core";
import {BaseResourceApiEnum} from "@shared/enums/api.enum";
import {urlSeparator} from "solidify-frontend";

export class TocHelper {
  static updateLinkToc(document: Document, renderer: Renderer2, classContainerLink: string): void {
    const listA = document.querySelectorAll(`.${classContainerLink} a:not([active="true"])`);
    listA.forEach(a => {
      const existingHref = a.attributes["href"].value;
      renderer.setAttribute(a, "href", BaseResourceApiEnum.docs + urlSeparator + existingHref);
      renderer.setAttribute(a, "active", "true");
    });
  }
}
