import {IconNameEnum} from "@shared/enums/icon-name.enum";
import {BaseResource} from "solidify-frontend";

export interface DataTableActions<TResource extends BaseResource = any> {
  logo: IconNameEnum;
  callback: (current: TResource) => void;
  placeholder: string;
  displayOnCondition?: (current: TResource) => boolean | undefined;
  disableCondition?: (current: TResource) => boolean | undefined;
}
