import {AdminStateModel} from "@app/features/admin/stores/admin.state";
import {DepositStateModel} from "@app/features/deposit/stores/deposit.state";
import {HomeStateModel} from "@app/features/home/stores/home.state";
import {OrganizationalUnitStateModel} from "@app/features/preservation-space/organizational-unit/stores/organizational-unit.state";
import {PreservationStateModel} from "@app/features/preservation/stores/preservation.state";
import {SharedStateModel} from "@app/shared/stores/shared.state";
import {AppStateModel} from "@app/stores/app.state";
import {RouterStateModel} from "@ngxs/router-plugin";
import {StateModel} from "solidify-frontend";

export class LocalStateModel implements StateModel {
  router: RouterStateModel;
  application: AppStateModel;
  home: HomeStateModel;
  deposit: DepositStateModel;
  organizationalUnit: OrganizationalUnitStateModel;
  admin: AdminStateModel;
  preservation: PreservationStateModel;
  shared: SharedStateModel;
}
