import {ActivatedRoute} from "@angular/router";
import {DepositRoutesEnum} from "@shared/enums/routes.enum";

export class DepositHelper {
  static getTabRouteSelected(route: ActivatedRoute): DepositRoutesEnum | undefined {
    const children = route.snapshot.children;
    if (children.length > 0 && children[0].url.length > 0) {
      const mode = children[0].url[0].path;
      return mode as DepositRoutesEnum;
    }
    return undefined;
  }
}
