import {Deposit} from "@models";
import {ArchiveMetadata} from "@shared/models/business/archive-metadata.model";

export interface Archive {
  resId?: string;
  organizationalUnitId: string;
  title: string;
  yearPublicationDate: string;
  size: string;
  files: string;
  accessLevel: Deposit.AccessEnum;
  archiveMetadata: ArchiveMetadata;
}
