import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {AipStatusHomeRoutable} from "@app/features/preservation/aip-status/components/routables/aip-status-home/aip-status-home.routable";
import {DlcmRoutes} from "@app/shared/models/dlcm-route.model";

const routes: DlcmRoutes = [
  {
    path: "",
    component: AipStatusHomeRoutable,
    data: {},
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PreservationAipStatusRoutingModule {
}
