import {NgModule} from "@angular/core";
import {AipRoutingModule} from "@app/features/preservation/aip/aip-routing.module";

const routables = [];
const containers = [];
const dialogs = [];
const presentationals = [];

@NgModule({
  declarations: [
    ...routables,
    ...containers,
    ...dialogs,
    ...presentationals,
  ],
  imports: [
    AipRoutingModule,
  ],
  entryComponents: [
    ...dialogs,
  ],
  exports: [
    ...routables,
  ],
  providers: [],
})
export class AipModule {
}
