import {
  ChangeDetectionStrategy,
  Component,
} from "@angular/core";
import {ActivatedRoute} from "@angular/router";
import {Store} from "@ngxs/store";
import {SharedAbstractRoutable} from "@shared/components/routables/shared-abstract/shared-abstract.routable";

@Component({
  selector: "dlcm-aip-storagion-root-routable",
  templateUrl: "./aip-storagion-root.routable.html",
  styleUrls: ["./aip-storagion-root.routable.scss"],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class AipStoragionRootRoutable extends SharedAbstractRoutable {
  constructor(protected readonly _store: Store,
              protected readonly _route: ActivatedRoute) {
    super();
  }
}
