import {NgModule} from "@angular/core";
import {RouterModule} from "@angular/router";
import {MonitoringHomeRoutable} from "@app/features/preservation/monitoring/components/routables/monitoring-home/monitoring-home.routable";
import {DlcmRoutes} from "@app/shared/models/dlcm-route.model";

const routes: DlcmRoutes = [
  {
    path: "",
    component: MonitoringHomeRoutable,
    data: {},
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class PreservationMonitoringRoutingModule {
}
