import {
  Directive,
  Input,
} from "@angular/core";
import {SharedAbstractContainer} from "@shared/components/containers/shared-abstract/shared-abstract.container";
import {IconNameEnum} from "@shared/enums/icon-name.enum";

@Directive()
export abstract class SharedAbstractDialog extends SharedAbstractContainer {
  @Input()
  paramMessage: any;

  @Input()
  titleToTranslate: string;

  @Input()
  tooltipToTranslate: string;

  get iconNameEnum(): typeof IconNameEnum {
    return IconNameEnum;
  }

  constructor() {
    super();
  }
}
