export class ApiResourceNameEnum implements ApiResourceNameEnum {
  public static DEPOSIT: string = "deposits";
  public static ORDER: string = "orders";
  public static PERSON: string = "people";
  public static ORG_UNIT: string = "organizational-units";
  public static ADDITIONAL_FIELDS_FORM: string = "additional-fields-forms";
  public static CURRENT_VERSION: string = "current-version";
  public static AUTHORIZED_ORG_UNIT: string = "authorized-organizational-units";
  public static INSTITUTION: string = "institutions";
  public static DATAFILE: string = "data";
  public static SIP: string = "sip";
  public static SIP_FILE: string = "sip-package";
  public static AIP: string = "aip";
  public static AIP_FILE: string = "aip-package";
  public static STORED_AIP: string = "stored-aip";
  public static DIP: string = "dip";
  public static DI: string = "di";
  public static DI_PUBLIC: string = "public-di";
  public static DI_PRIVATE: string = "private-di";
  public static SETTING: string = "settings";
  public static SUBMISSION_AGREEMENT: string = "submission-agreements";
  public static LICENSE: string = "licenses";
  public static ROLE: string = "roles";
  public static ROLE_APPLICATION: string = "application-roles";
  public static FUNDING_AGENCY: string = "funding-agencies";
  public static USER: string = "users";
  public static LANGUAGE: string = "languages";
  public static OAUTH2_CLIENT: string = "oauth2-clients";
  public static ORCID: string = "orcid";
  public static BASIC_AUTH_CLIENT: string = "basic-auth-clients";
  public static LOGIN: string = "shiblogin";
  public static ITEM: string = "items";
  public static MONITOR: string = "monitor";
  public static PRES_JOB: string = "preservation-jobs";
  public static PRES_JOB_EXECUTION: string = "executions";
  public static PRES_JOB_EXECUTION_REPORT: string = "reports";
  public static PRES_POLICY: string = "preservation-policies";
  public static SUB_POLICY: string = "submission-policies";
  public static DISSEMINATION_POLICY: string = "dissemination-policies";
  public static POLICY: string = "policy";
  public static DIS_POLICY: string = "dissemination-policies";
  public static RESEARCH_DOMAIN: string = "research-domains";
  public static METADATA_TYPE: string = "metadata-types";
  public static NOTIFICATION: string = "notifications";
  public static CONTRIBUTOR: string = "contributors";
  public static MODULE: string = "modules";
  public static SYSTEM_PROPERTY: string = "system-properties";

  // Miscellaneous
  public static HISTORY: string = "history";
  public static SCHEMA: string = "schema";
  public static PROFILE: string = "profile";
  public static XSL: string = "xsl";
  public static RESERVE_DOI: string = "reserve-doi";
  public static ARCHIVAL_TYPE: string = "archivalUnit";
  public static PUBLIC_METADATA: string = "metadata";
  public static PRIVATE_METADATA: string = "private-metadata";
  public static ALL_METADATA: string = "all-metadata";
  public static ARCHIVE: string = "archives";

  // OAI
  public static OAI: string = "oai";
  public static OAI_PROVIDER: string = "oai-provider";
  public static OAI_SETS: string = "oai-sets";
}
