export interface JobType {
  label: string;
  isRecurring: boolean;
}

export namespace JobType {
  export type JobTypeEnum =
    "RELOAD"
    | "REPLICATION"
    | "REPLICATION_CHECK"
    | "ARCHIVE_CHECK"
    | "MIGRATION"
    | "FIXITY"
    | "REINDEX"
    | "REBUILD_REGISTRY"
    | "CLEAN_SUBMISSION"
    | "PURGE_SUBMISSION_TEMP_FILES";
  export const JobTypeEnum = {
    RELOAD: "RELOAD" as JobTypeEnum,
    REPLICATION: "REPLICATION" as JobTypeEnum,
    REPLICATION_CHECK: "REPLICATION_CHECK" as JobTypeEnum,
    ARCHIVE_CHECK: "ARCHIVE_CHECK" as JobTypeEnum,
    MIGRATION: "MIGRATION" as JobTypeEnum,
    FIXITY: "FIXITY" as JobTypeEnum,
    REINDEX: "REINDEX" as JobTypeEnum,
    REBUILD_REGISTRY: "REBUILD_REGISTRY" as JobTypeEnum,
    CLEAN_SUBMISSION: "CLEAN_SUBMISSION" as JobTypeEnum,
    PURGE_SUBMISSION_TEMP_FILES: "PURGE_SUBMISSION_TEMP_FILES" as JobTypeEnum,
  };
}
